### Class

# Foundry DocumentationQuery

#### Description [src]

    final class Foundry.DocumentationQuery : GObject.Object
    {
      /* No available fields */
    }

Represents a query into the documentation engine.

#### Ancestors

- GObject

#### Constructors

###### foundry_documentation_query_new

No description available.

#### Instance methods

###### foundry_documentation_query_dup_function_name

No description available.

###### foundry_documentation_query_dup_keyword

No description available.

###### foundry_documentation_query_dup_property_name

No description available.

###### foundry_documentation_query_dup_type_name

No description available.

###### foundry_documentation_query_get_prefetch_all

No description available.

###### foundry_documentation_query_set_function_name

No description available.

###### foundry_documentation_query_set_keyword

No description available.

###### foundry_documentation_query_set_prefetch_all

No description available.

###### foundry_documentation_query_set_property_name

No description available.

###### foundry_documentation_query_set_type_name

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DocumentationQuery:function-name

No description available.

###### Foundry.DocumentationQuery:keyword

No description available.

###### Foundry.DocumentationQuery:prefetch-all

No description available.

###### Foundry.DocumentationQuery:property-name

No description available.

###### Foundry.DocumentationQuery:type-name

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDocumentationQueryClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.